/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "BitmapFile.h"

CBitmapFile::CBitmapFile(void)
{}

CBitmapFile::~CBitmapFile(void)
{}

bool CBitmapFile::IsLoaded(LPCTSTR fileName)
{
	return(_fileName.compare(fileName) == 0);
}

bool CBitmapFile::LoadBitmap(LPCTSTR fileName, CSize &size)
{
	HBITMAP hBitmap = NULL;

	DeleteObject();
	hBitmap = (HBITMAP)LoadImage(NULL, fileName, IMAGE_BITMAP, size.cx, size.cy,
								 LR_LOADFROMFILE | LR_CREATEDIBSECTION);

	_fileName = fileName;
	if(hBitmap) {
		Attach(hBitmap);
		return(true);
	}
	return(false);
}
