/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#include "resource.h"
#include "afxwin.h"

class FixationEvent;
class SelectionState;                            //predeclare classes

class CDataView : public CFormView
{
	DECLARE_DYNCREATE(CDataView)

public:
	enum { IDD = IDD_DATA_VIEW };

	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

	void SetSelectionState(SelectionState *state);
	void UpdateView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CDataView();           // protected constructor used by dynamic creation
	virtual ~CDataView();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	void UpdateRow(int id, FixationEvent *fEvt);

	DECLARE_MESSAGE_MAP()

private:
	static const int _edgeWidth = 10;
	static const int _rowHeight = 15;

	SelectionState *_state;
	int _table[9][7];
	int _offset;
};


