/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#include "resource.h"

class SelectionState;                            //predeclare classes

class CDoctorView : public CFormView
{
	DECLARE_DYNCREATE(CDoctorView)

public:
	enum { IDD = IDD_DOCTOR_VIEW };

	afx_msg void OnChangeFixEnd(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnChangeFixStart(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnChangeFixXPixel(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnChangeFixYPixel(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnChangeTrialSeq(NMHDR *pNMHDR, LRESULT *pResult);

	void Initialize(int width, int height, int nTrials, int endTime);
	void SetSelectionState(SelectionState *state);
	void UpdateView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CDoctorView();           // protected constructor used by dynamic creation
	virtual ~CDoctorView();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	SelectionState *_state;

public:
	afx_msg void OnStnClickedStaticDvTrialDcTime();
	afx_msg void OnStnClickedStaticDvTrialDcLeadSacc();
};
