/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#include "TrialData.h"

class ExperimentData {
public:
	ExperimentData();
	~ExperimentData();

	TrialData *trial(unsigned int index);

	int nTrials() const;

	const CRect &displaySize() const;

	void export(const std::string &fileName, std::ostream &changeStrm, 
				const ExportParams &param) throw(std::exception);
	void import(const std::string &dataFileName) throw(std::exception);
	void import(const std::string &dataFileName, 
				const std::string &senFileName) throw(std::exception);
	void read(const std::string &fileName) throw(std::exception);
	void revert();
	void write(const std::string &fileName) const throw(std::exception);
	void writeSummary(std::ostream &os, bool tabbed) const;

	void set_jhook_threshold(int jh);

private:
	CRect       _displaySize;
	TrialVector _trial;
	int _jhookThreshold;
};
