/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once


// CFinalFixDialog dialog

class CFinalFixDialog : public CDialog
{
	DECLARE_DYNAMIC(CFinalFixDialog)

public:
	CFinalFixDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFinalFixDialog();

	virtual BOOL OnInitDialog();

	unsigned int DeleteFixLen() const;
	unsigned int MergeFixLen() const;

	int	DeleteFixDist() const;
	int MergeFixDist() const;

	bool ExportDependents() const;
	bool UseRightEye() const;

	void SetAvailableEyeData(bool left, bool right);

	enum { IDD = IDD_FINAL_FIX_DIALOG };

	bool ExcludeTens() const;
	bool ExcludeFives() const;
	bool ExcludeZeros() const;
	bool ExcludeJHooks() const;
	bool ExcludeBlinks() const;
	bool ExcludeLongSacc() const;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();

	DECLARE_MESSAGE_MAP()

private:
	unsigned int _deleteLen;
	unsigned int _mergeLen;
	int _deleteDist;
	int _mergeDist;
	bool _exportDep;
	bool _excludeTens;
	bool _excludeFives;
	bool _excludeZeros;
	bool _excludeJHooks;
	bool _excludeBlinks;
	bool _excludeLongSacc;
	bool _left;
	bool _right;
public:
	afx_msg void OnEnChangeEditFinalFixDist1();
	afx_msg void OnBnClickedCheckFinalIncludeDep();
	afx_msg void OnBnClickedCheckExcludeDc10();
	afx_msg void OnBnClickedCheckExcludeDcBlink();
	afx_msg void OnBnClickedCheckExcludeLongSacc();
};
