/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once
#include "afxwin.h"
#include "selections.h"

// CPreferencesDialog dialog

class CPreferencesDialog : public CDialog
{
	DECLARE_DYNAMIC(CPreferencesDialog)

public:
	CPreferencesDialog(CWnd* pParent = NULL);    // standard constructor
	virtual ~CPreferencesDialog();

	int GetFontHeight() const;
	int GetJHook() const;
	bool GetMultiChange() const;

	virtual BOOL OnInitDialog();

	afx_msg void OnBnClickedChangeColor();
	afx_msg void OnBnClickedOk();
	afx_msg void OnLbnSelchangeColorFields();
	afx_msg void OnPaint();

	void GetColors(Colors &colors) const;
	void Initialize(const Colors &colors, int fontHt = -1, int jhookThreshold = 10);

	enum { IDD = IDD_PREFERENCE_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support

	void UpdateColorSelection();
	void UpdatePreview();

	DECLARE_MESSAGE_MAP()

private:
	static const int _nColors = 10;

	CEdit    m_editFontHt;
	CListBox m_listColors;
	CStatic  m_staticColor;
	CStatic  m_staticPreview;
	COLORREF _color[_nColors];
	int      _fontHt;
	int		_jhookThreshold;
	bool	_useMultiChange;

public:
	afx_msg void OnEnChangeLabelFontSize();
	afx_msg void OnEnChangeEditJhookThreshold();
	afx_msg void OnBnClickedCheckUseMultiChange();
};
