/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "EyeDoctor.h"
#include "SummaryDialog.h"

// CSummaryDialog dialog

IMPLEMENT_DYNAMIC(CSummaryDialog, CDialog)

CSummaryDialog::CSummaryDialog()
  : CDialog(), _closeable(true)
{}

CSummaryDialog::CSummaryDialog(CWnd* pParent)
	: CDialog(CSummaryDialog::IDD, pParent), _closeable(true)
{}

CSummaryDialog::~CSummaryDialog()
{}

void CSummaryDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_STATISTICS, m_editText);
}

BEGIN_MESSAGE_MAP(CSummaryDialog, CDialog)
	ON_WM_SIZING()
END_MESSAGE_MAP()

void CSummaryDialog::OnCancel()
{
	DestroyWindow();
}

void CSummaryDialog::OnOK()
{
	DestroyWindow();
}

void CSummaryDialog::OnSizing(UINT fwSide, LPRECT pRect)
{
	CRect rEdit, rWindow;
	int newHt, newWd;
	int height = pRect->bottom - pRect->top;
	int width = pRect->right - pRect->left;

	m_editText.GetWindowRect(&rEdit);
	GetWindowRect(&rWindow);

	newHt = height - (rWindow.Height() - rEdit.Height());
	newWd = width - (rWindow.Width() - rEdit.Width());

	if(newHt > 10 && newWd > 20) {
		CDialog::OnSizing(fwSide, pRect);
		m_editText.SetWindowPos(0, 0, 0, newWd, newHt, SWP_NOMOVE | SWP_NOZORDER);
	}
	else {
		pRect->bottom = rWindow.bottom;
		pRect->left = rWindow.left;
		pRect->right = rWindow.right;
		pRect->top = rWindow.top;
		CDialog::OnSizing(fwSide, pRect);
	}
}

void CSummaryDialog::PostNcDestroy()
{
	CDialog::PostNcDestroy();
	delete this;
}

void CSummaryDialog::SetDisplayText(const char *text)
{
	m_editText.SetWindowText(text);
	m_editText.UpdateWindow();
}
