/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

class SelectionState;                            //pre-declaration of SelectionState

class CTrackerView : public CScrollView
{
	DECLARE_DYNCREATE(CTrackerView)

public:
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);

	void GetDPIFontMetrics(int &width, int &height);
	void SetDisplaySize(int width, int height);
	void SetSelectionState(SelectionState *state);
	void UpdateView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CTrackerView();                     // protected constructor used by dynamic creation
	virtual ~CTrackerView();

	void ClearBitmap(COLORREF color);
	void DrawBitmap();
	void GenerateMenu(CMenu &menu, bool hasSelection, bool trialDeleted);

	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct

	DECLARE_MESSAGE_MAP()

private:
	CBitmap        *_bitmap;
	SelectionState *_state;
	bool            _ctrlDown;
	bool            _shiftDown;
};


