/*  EyeDoctor software is used to view, edit and translate data generated
    via Eyelink II hardware and libraries by SR Research

    Copyright (C) 2005  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#include <list>
#include <string>

class TrialId {
public:
	enum Type {
		PRACTICE,
		EXPERIMENTAL,
		FILLER,
		ALL,
		DEPENDENT,
		INDEPENDENT
	};

public:
	TrialId();
	TrialId(const std::string &identifier);
	TrialId(const TrialId &id);
	~TrialId();

	const TrialId &operator=(const TrialId &rhs);

	std::string idString() const;

	Type type() const;

	int compare(const TrialId &id) const;

	unsigned short condition() const;
	unsigned short index() const;
	unsigned short item() const;

	bool isDependent() const;
	bool isExperimental() const;
	bool isFiller() const;
	bool isOld() const;
	bool isPractice() const;

private:
	Type           _type;
	unsigned short _condition;
	unsigned short _item;
	unsigned short _index;
	bool           _isOld;

};
