/*  Eyetracking software creates and executes experiments using 
    Eyelink II hardware and libraries by SR Research

    Copyright (C) 2004  David J. Stracuzzi, University of Massachusetts

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once
#include "afxwin.h"
#include "resource.h"

class CTrialSelectionDialog : public CDialog
{
	DECLARE_DYNAMIC(CTrialSelectionDialog)
public:
	enum { IDD = IDD_TRIAL_SELECTION_DIALOG };

	struct Selection {
		Selection();
		const Selection &operator=(const Selection &rhs);

		short condMax, condMin;
		short itemMax, itemMin;
		short depMax, depMin;
		bool useExperimental;
		bool useFiller;
		bool usePractice;
		bool useDCok;
	};

public:
	CTrialSelectionDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CTrialSelectionDialog();

	const Selection &GetSelections() const;

	virtual BOOL OnInitDialog();

	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedExperimental();
	afx_msg void OnBnClickedFiller();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedPractice();
	afx_msg void OnEnKillfocusCondMax();
	afx_msg void OnEnKillfocusCondMin();
	afx_msg void OnEnKillfocusDepMax();
	afx_msg void OnEnKillfocusDepMin();
	afx_msg void OnEnKillfocusItemMax();
	afx_msg void OnEnKillfocusItemMin();

	void SetSelections(const Selection &selections);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	Selection _selection;
public:
	afx_msg void OnBnClickedCheckDc();
};
